#ifndef MARS_MHSigmaPixel
#define MARS_MHSigmaPixel

#ifndef MARS_MH
#include "MH.h"
#endif

#ifndef ROOT_TH2
#include "TH2.h"
#endif

class MMcEvt;
class MPedestalCam;
class TH2D;
class MParList;


class MHSigmaPixel : public MH
{
private:
    MPedestalCam *fPedestalCam;
    TH2D fHist;

public:
    MHSigmaPixel(const char *name=NULL, const char *title=NULL);

    virtual Bool_t SetupFill(const MParList *pList);
    virtual Bool_t Fill(const MParContainer *par);

    const TH2D *GetHist()       { return &fHist; }
    const TH2D *GetHist() const { return &fHist; }

    TH1 *GetHistByName(const TString name) { return &fHist; }

    void Draw(Option_t *option="");
    TObject *DrawClone(Option_t *option="") const;

    ClassDef(MHSigmaPixel, 1) //2D-histogram in Sigma and Pixel number
};

#endif





